Macro Align Object to View

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.

Macro Align Object to View

Description
This macro aligns the selected object to the current View.

Macro version: 0.1
Last modified: 2015-01-16
FreeCAD version: All
Download: ToolBar Icon
Author: Mario52
Author
Mario52
Download
ToolBar Icon
Links
Macro Version
0.1
Date last modified
2015-01-16
FreeCAD Version(s)
All
Default shortcut
None
See also
FCCamera Macro_FCCamera

Description

This macro aligns and Position the selected object to the current View.

Usage

  • Direct your view, select your object and run the macro
  • Your object will be the placement of the camera coordinates

Script

ToolBar Icon

Macro_Align_Object_to_View.FCMacro

# This macro place your object selected to the position ActiveView (camera)
# extact FCCamera
# 16/01/2015

__title__  ="Align Object to View"
__author__ = "Mario52"
__date__   = "16/01/2015"
__version__= "0.1"

import pivy
from pivy import coin

sel = FreeCADGui.Selection.getSelection()
Nameelement = sel[0].Name
App.Console.PrintMessage(str(Nameelement)+"\n")

pl = FreeCAD.Placement()
pl.Rotation = FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()
pl.Base = FreeCAD.Vector(0.0,0.0,0.0)

App.ActiveDocument.getObject(Nameelement).Placement=pl

Example

Credits

Tanks Simplified code to rentlau_64